# TdApi.UserStatus (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UserStatus

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserStatus

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserStatus

Direct Known Subclasses:
  `TdApi.UserStatusEmpty`, `TdApi.UserStatusLastMonth`, `TdApi.UserStatusLastWeek`, `TdApi.UserStatusOffline`, `TdApi.UserStatusOnline`, `TdApi.UserStatusRecently`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.UserStatus extends TdApi.Object permits TdApi.UserStatusEmpty, TdApi.UserStatusOnline, TdApi.UserStatusOffline, TdApi.UserStatusRecently, TdApi.UserStatusLastWeek, TdApi.UserStatusLastMonth
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`UserStatus()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserStatus

public UserStatus()